Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management.configuration
Interface StreamMBean

public interface StreamMBean
extends StageMBean

This MBean will manage instances of Streams whose configuration has been derived from `com.bea.wlevs.configuration.application.DefaultStreamConfig` schema. All the attributes and operations of this MBean wraps around this schema type.

An example of using this MBean is given below

       ObjectName streamMBeanName = ObjectName.
                    getInstance("com.bea.wlevs:Name=mystream,Type=Stream,Application=myapplication");
             //get the stream mbean
            StreamMBean streamMBean = (StreamMBean)
                   MBeanServerInvocationHandler.newProxyInstance(
                                    mbsc,
                                    ObjectName.getInstance(streamMBeanName),
                                    StreamMBean.class,
                                    true);

        //get the size of the Stream
        int size =  streamMBean.getSize();

        //other operations
           ...
           ...

Field Summary
`static String` | `OBJECT_NAME`

Method Summary
`int` | `getMaxSize()` This method reads the size of the `Stream`
`int` | `getMaxThreads()` This method reads the maximum number of Threads associated with the Stream's WorkManager
`void` | `setMaxSize(int size)` This method sets the size of the `Stream`
`void` | `setMaxThreads(int size)` This method sets the maximum number of Threads associated with the Stream's WorkManager

Methods inherited from interface com.bea.wlevs.management.configuration.StageMBean
`createMonitoringMetricAvgLatency, createMonitoringMetricAvgLatencyThreshold, createMonitoringMetricAvgThroughput, createMonitoringMetricAvgThroughput, createMonitoringMetricAvgThroughput, createMonitoringMetricMaxLatency, disableMonitoring, enableMonitoring, getStageType, monitored`

Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getType, isRegistered`

Field Detail

### OBJECT_NAME

    public static final String OBJECT_NAME

Method Detail

### getMaxSize

    public int getMaxSize()
                   throws InstanceNotFoundException,
                          JMException,
                          MBeanOperationsException

  This method reads the size of the `Stream`

  Returns:
    int - size of the stream
  Throws:
    InstanceNotFoundException -
    JMException -
    MBeanOperationsException -

### setMaxSize

    public void setMaxSize(int size)
                    throws InstanceNotFoundException,
                           JMException,
                           MBeanOperationsException

  This method sets the size of the `Stream`

  Parameters:
    `size` - - size of the Stream to set
  Throws:
    InstanceNotFoundException -
    JMException -
    MBeanOperationsException -

### getMaxThreads

    public int getMaxThreads()
                      throws InstanceNotFoundException,
                             JMException,
                             MBeanOperationsException

  This method reads the maximum number of Threads associated with the Stream's WorkManager

  Returns:
    int - Number of threads WorkManager can spawn
  Throws:
    InstanceNotFoundException -
    JMException -
    MBeanOperationsException -

### setMaxThreads

    public void setMaxThreads(int size)
                       throws InstanceNotFoundException,
                              JMException,
                              MBeanOperationsException

  This method sets the maximum number of Threads associated with the Stream's WorkManager

  Parameters:
    `size` - - Number of maximum threads that is associated with the WorkManager
  Throws:
    InstanceNotFoundException -
    JMException -
    MBeanOperationsException -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD